## r-bioc-goseq 1.40.0

=== DESCRIPTION ===
Package: goseq
Version: 1.40.0
Date: 2019/04/26
Title: Gene Ontology analyser for RNA-seq and other length biased data
Author: Matthew Young
Maintainer: Matthew Young <my4@sanger.ac.uk>, Nadia Davidson <nadia.davidson@mcri.edu.au>
Depends: R (>= 2.11.0), BiasedUrn, geneLenDataBase (>= 1.9.2)
Imports: mgcv, graphics, stats, utils, AnnotationDbi,
        GO.db,BiocGenerics
Suggests: edgeR, org.Hs.eg.db, rtracklayer
LazyLoad: yes
Description: Detects Gene Ontology and/or other user defined categories
        which are over/under represented in RNA-seq data
License: LGPL (>= 2)
Packaged: 2020-04-28 00:18:53 UTC; biocbuild
biocViews: ImmunoOncology, Sequencing, GO, GeneExpression,
        Transcription, RNASeq
git_url: https://git.bioconductor.org/packages/goseq
git_branch: RELEASE_3_11
git_last_commit: 55b1180
git_last_commit_date: 2020-04-27
Date/Publication: 2020-04-27
NeedsCompilation: no

=== debian/changelog ===
r-bioc-goseq (1.40.0-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:08:37 +0000

r-bioc-goseq (1.40.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 21 May 2020 16:39:57 +0200

r-bioc-goseq (1.38.0-2) unstable; urgency=medium

  * Source only upload

 -- Andreas Tille <tille@debian.org>  Fri, 03 Apr 2020 12:10:20 +0200

r-bioc-goseq (1.38.0-1) unstable; urgency=medium

  * Initial release (closes: #955138)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Mar 2020 21:40:07 +0100

=== debian/control ===
Source: r-bioc-goseq
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-biasedurn,
               r-bioc-genelendatabase,
               r-cran-mgcv,
               r-bioc-annotationdbi,
               r-bioc-go.db,
               r-bioc-biocgenerics
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-goseq
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-goseq.git
Homepage: https://bioconductor.org/packages/goseq/
Rules-Requires-Root: no

Package: r-bioc-goseq
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R gene ontology analyser for RNA-seq and other length biased data
 This GNU R package provides functions to detect Gene Ontology and/or
 other user defined categories which are over/under represented in
 RNA-seq data.

## r-bioc-goseq 1.42.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: goseq
-Version: 1.40.0
+Version: 1.42.0
 Date: 2019/04/26
 Title: Gene Ontology analyser for RNA-seq and other length biased data
 Author: Matthew Young
@@ -12,12 +12,12 @@
 Description: Detects Gene Ontology and/or other user defined categories
         which are over/under represented in RNA-seq data
 License: LGPL (>= 2)
-Packaged: 2020-04-28 00:18:53 UTC; biocbuild
+Packaged: 2020-10-28 00:38:27 UTC; biocbuild
 biocViews: ImmunoOncology, Sequencing, GO, GeneExpression,
         Transcription, RNASeq
 git_url: https://git.bioconductor.org/packages/goseq
-git_branch: RELEASE_3_11
-git_last_commit: 55b1180
-git_last_commit_date: 2020-04-27
-Date/Publication: 2020-04-27
+git_branch: RELEASE_3_12
+git_last_commit: 8164b90
+git_last_commit_date: 2020-10-27
+Date/Publication: 2020-10-27
 NeedsCompilation: no

=== debian/changelog ===
r-bioc-goseq (1.42.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 04 Nov 2020 11:09:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: r-bioc-goseq
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-biasedurn,

## r-bioc-goseq 1.46.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: goseq
-Version: 1.42.0
+Version: 1.46.0
 Date: 2019/04/26
 Title: Gene Ontology analyser for RNA-seq and other length biased data
 Author: Matthew Young
@@ -12,12 +12,12 @@
 Description: Detects Gene Ontology and/or other user defined categories
         which are over/under represented in RNA-seq data
 License: LGPL (>= 2)
-Packaged: 2020-10-28 00:38:27 UTC; biocbuild
+Packaged: 2021-10-26 21:37:37 UTC; biocbuild
 biocViews: ImmunoOncology, Sequencing, GO, GeneExpression,
         Transcription, RNASeq
 git_url: https://git.bioconductor.org/packages/goseq
-git_branch: RELEASE_3_12
-git_last_commit: 8164b90
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: 1fb5626
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: no

=== debian/changelog ===
r-bioc-goseq (1.46.0-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 26 Nov 2021 14:11:06 +0100

r-bioc-goseq (1.44.0-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Added d/u/metadata

  [ Andreas Tille ]
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 14 Sep 2021 11:24:05 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-bioc-annotationdbi,
                r-bioc-go.db,
                r-bioc-biocgenerics
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-goseq
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-goseq.git
 Homepage: https://bioconductor.org/packages/goseq/

## r-bioc-goseq 1.48.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: goseq
-Version: 1.46.0
+Version: 1.48.0
 Date: 2019/04/26
 Title: Gene Ontology analyser for RNA-seq and other length biased data
 Author: Matthew Young
@@ -12,12 +12,12 @@
 Description: Detects Gene Ontology and/or other user defined categories
         which are over/under represented in RNA-seq data
 License: LGPL (>= 2)
-Packaged: 2021-10-26 21:37:37 UTC; biocbuild
+Packaged: 2022-04-26 20:50:44 UTC; biocbuild
 biocViews: ImmunoOncology, Sequencing, GO, GeneExpression,
         Transcription, RNASeq
 git_url: https://git.bioconductor.org/packages/goseq
-git_branch: RELEASE_3_14
-git_last_commit: 1fb5626
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: d077fda
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: no

=== debian/changelog ===
r-bioc-goseq (1.48.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 May 2022 07:41:25 +0200

## r-bioc-goseq 1.50.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: goseq
-Version: 1.48.0
+Version: 1.50.0
 Date: 2019/04/26
 Title: Gene Ontology analyser for RNA-seq and other length biased data
 Author: Matthew Young
@@ -12,12 +12,12 @@
 Description: Detects Gene Ontology and/or other user defined categories
         which are over/under represented in RNA-seq data
 License: LGPL (>= 2)
-Packaged: 2022-04-26 20:50:44 UTC; biocbuild
+Packaged: 2022-11-01 21:42:45 UTC; biocbuild
 biocViews: ImmunoOncology, Sequencing, GO, GeneExpression,
         Transcription, RNASeq
 git_url: https://git.bioconductor.org/packages/goseq
-git_branch: RELEASE_3_15
-git_last_commit: d077fda
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: f9fad23
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no

=== debian/changelog ===
r-bioc-goseq (1.50.0-1) unstable; urgency=medium

  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 22 Nov 2022 07:26:59 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-bioc-annotationdbi,
                r-bioc-go.db,
                r-bioc-biocgenerics
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-goseq
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-goseq.git
 Homepage: https://bioconductor.org/packages/goseq/

## r-bioc-goseq 1.52.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: goseq
-Version: 1.50.0
+Version: 1.52.0
 Date: 2019/04/26
 Title: Gene Ontology analyser for RNA-seq and other length biased data
 Author: Matthew Young
@@ -12,12 +12,12 @@
 Description: Detects Gene Ontology and/or other user defined categories
         which are over/under represented in RNA-seq data
 License: LGPL (>= 2)
-Packaged: 2022-11-01 21:42:45 UTC; biocbuild
+Packaged: 2023-04-25 21:19:11 UTC; biocbuild
 biocViews: ImmunoOncology, Sequencing, GO, GeneExpression,
         Transcription, RNASeq
 git_url: https://git.bioconductor.org/packages/goseq
-git_branch: RELEASE_3_16
-git_last_commit: f9fad23
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: d6b0cfd
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: no

=== debian/changelog ===
r-bioc-goseq (1.52.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 21:47:46 +0200

## r-bioc-goseq 1.54.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: goseq
-Version: 1.52.0
+Version: 1.54.0
 Date: 2019/04/26
 Title: Gene Ontology analyser for RNA-seq and other length biased data
 Author: Matthew Young
@@ -12,12 +12,12 @@
 Description: Detects Gene Ontology and/or other user defined categories
         which are over/under represented in RNA-seq data
 License: LGPL (>= 2)
-Packaged: 2023-04-25 21:19:11 UTC; biocbuild
+Packaged: 2023-10-24 21:28:42 UTC; biocbuild
 biocViews: ImmunoOncology, Sequencing, GO, GeneExpression,
         Transcription, RNASeq
 git_url: https://git.bioconductor.org/packages/goseq
-git_branch: RELEASE_3_17
-git_last_commit: d6b0cfd
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 8fa10e5
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no

=== debian/changelog ===
r-bioc-goseq (1.54.0-1) unstable; urgency=medium

  * New upstream version
  * Add d/t/autopkgtest-pkg-r.conf

 -- Andreas Tille <tille@debian.org>  Fri, 01 Dec 2023 11:53:07 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-bioc-annotationdbi,
                r-bioc-go.db,
                r-bioc-biocgenerics
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-goseq
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-goseq.git
 Homepage: https://bioconductor.org/packages/goseq/

## r-bioc-goseq 1.56.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: goseq
-Version: 1.54.0
+Version: 1.56.0
 Date: 2019/04/26
 Title: Gene Ontology analyser for RNA-seq and other length biased data
 Author: Matthew Young
@@ -12,12 +12,13 @@
 Description: Detects Gene Ontology and/or other user defined categories
         which are over/under represented in RNA-seq data
 License: LGPL (>= 2)
-Packaged: 2023-10-24 21:28:42 UTC; biocbuild
+Packaged: 2024-06-05 21:45:35 UTC; biocbuild
 biocViews: ImmunoOncology, Sequencing, GO, GeneExpression,
         Transcription, RNASeq
 git_url: https://git.bioconductor.org/packages/goseq
-git_branch: RELEASE_3_18
-git_last_commit: 8fa10e5
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 48999d9
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-06-05
 NeedsCompilation: no

=== debian/changelog ===
r-bioc-goseq (1.56.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:37:04 +0200

r-bioc-goseq (1.56.0-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 06 Aug 2024 15:21:36 +0200

r-bioc-goseq (1.56.0-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 17:13:37 +0200

=== debian/control ===
Source: r-bioc-goseq
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-goseq
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-goseq.git
Homepage: https://bioconductor.org/packages/goseq/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-biasedurn,
               r-bioc-genelendatabase (>= 1.40.1),
               r-cran-mgcv,
               r-bioc-annotationdbi (>= 1.66.0),
               r-bioc-go.db (>= 3.19.1),
               r-bioc-biocgenerics (>= 0.50.0)
Testsuite: autopkgtest-pkg-r

Package: r-bioc-goseq
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-bioc-genelendatabase (>= 1.40.1),
         r-bioc-annotationdbi (>= 1.66.0),
         r-bioc-go.db (>= 3.19.1),
         r-bioc-biocgenerics (>= 0.50.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-edger (>= 4.2.1),
          r-bioc-org.hs.eg.db (>= 3.19.1),
          r-bioc-rtracklayer (>= 1.64.0)
Description: GNU R gene ontology analyser for RNA-seq and other length biased data
 This GNU R package provides functions to detect Gene Ontology and/or
 other user defined categories which are over/under represented in
 RNA-seq data.

## r-bioc-goseq 1.58.0

=== DESCRIPTION ===
Package: goseq
Title: Gene Ontology analyser for RNA-seq and other length biased data
Version: 1.58.0
Date: 2024-06-08
Authors@R: 
    c(
        person(
            given = "Matthew", family = "Young", role = c("aut"), 
            email = "my4@sanger.ac.uk"
        ),
        person(
            given = "Nadia", family = "Davidson", role = c("aut"), 
            email = "nadia.davidson@mcri.edu.au"
        ),
        person(
            given = "Federico", family = "Marini", role = c("ctb", "cre"), 
            email = "marinif@uni-mainz.de", comment = c(ORCID = "0000-0003-3252-7758")
        )
    )
Description: Detects Gene Ontology and/or other user defined categories
    which are over/under represented in RNA-seq data.
Depends: R (>= 2.11.0), BiasedUrn, geneLenDataBase (>= 1.9.2)
Imports: mgcv, graphics, stats, utils, AnnotationDbi, GO.db,
        BiocGenerics, methods, rtracklayer, GenomicFeatures,
        GenomeInfoDb
Suggests: edgeR, org.Hs.eg.db
License: LGPL (>= 2)
URL: https://github.com/federicomarini/goseq
BugReports: https://github.com/federicomarini/goseq/issues
biocViews: ImmunoOncology, Sequencing, GO, GeneExpression,
        Transcription, RNASeq, DifferentialExpression, Annotation,
        GeneSetEnrichment, KEGG, Pathways, Software
RoxygenNote: 7.3.1
Encoding: UTF-8
git_url: https://git.bioconductor.org/packages/goseq
git_branch: RELEASE_3_20
git_last_commit: 3ed9d9a
git_last_commit_date: 2024-10-29
Repository: Bioconductor 3.20
Date/Publication: 2024-10-29
NeedsCompilation: no
Packaged: 2024-10-30 01:01:20 UTC; biocbuild
Author: Matthew Young [aut],
  Nadia Davidson [aut],
  Federico Marini [ctb, cre] (<https://orcid.org/0000-0003-3252-7758>)
Maintainer: Federico Marini <marinif@uni-mainz.de>

=== debian/changelog ===
r-bioc-goseq (1.58.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 14 Jan 2025 11:26:07 +0100

r-bioc-goseq (1.58.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 03 Dec 2024 18:12:20 +0100

=== debian/control ===
Source: r-bioc-goseq
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-biasedurn,
               r-bioc-genelendatabase,
               r-cran-mgcv,
               r-bioc-annotationdbi,
               r-bioc-go.db,
               r-bioc-biocgenerics,
               r-bioc-rtracklayer,
               r-bioc-genomicfeatures,
               r-bioc-genomeinfodb
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-goseq
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-goseq.git
Homepage: https://bioconductor.org/packages/goseq/
Rules-Requires-Root: no

Package: r-bioc-goseq
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R gene ontology analyser for RNA-seq and other length biased data
 This GNU R package provides functions to detect Gene Ontology and/or
 other user defined categories which are over/under represented in
 RNA-seq data.

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/goseq.html .*/goseq_(.*).tar.gz
